# $Revision: 1.27 $, $Date: 2010/11/13 00:19:59 $
#
%define		module	mutagen
#
Summary:	Audio metadata reader/writer
Summary(pl.UTF-8):	Moduł do odczytu i zapisu metadanych dźwiękowych
Name:		python-%{module}
Version:	1.19
Release:	3
License:	GPL v2
Group:		Development/Languages/Python
Source0:	http://mutagen.googlecode.com/files/mutagen-%{version}.tar.gz
# Source0-md5:	68132949f3cd68491b87ff880ded4680
URL:		http://code.google.com/p/mutagen/
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mutagen is an audio metadata tag reader and writer implemented in pure
Python. It supports reading ID3v1.1, ID3v2.2, ID3v2.3, ID3v2.4, APEv2,
and FLAC, and writing ID3v1.1, ID3v2.4, APEv2, and FLAC.

%description -l pl.UTF-8
Mutagen to moduł do odczytu i zapisu znaczników metadanych dźwiękowych
zaimplementowany w czystym Pythonie. Obsługuje odczyt ID3v1.1,
ID3v2.2, ID3v2.3, ID3v2.4, APEv2 i FLAC oraz zapis ID3v1.1, ID3v2.4,
APEv2 i FLAC.

%package tools
Summary:	Simple tools for reading and writing audio metadata
Summary(pl.UTF-8):	Proste narzędzia do odczytu i zapisu metadanych dźwiękowych
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description tools
Simple tools for reading and writting audio metadata.

%description tools -l pl.UTF-8
Proste narzędzia do odczytu i zapisu metadanych dźwiękowych.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README TODO TUTORIAL
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/*.egg-info

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-mutagen.spec,v $
Revision 1.27  2010/11/13 00:19:59  pawelz
- release 3

Revision 1.26  2010/07/08 08:23:02  arekm
- release 2

Revision 1.25  2010/06/12 13:33:04  arvenil
- up to 1.19

Revision 1.24  2009/10/25 09:43:06  wiget
- updated to 1.18

Revision 1.23  2009/10/09 18:38:38  wiget
- 1.17

Revision 1.22  2009/09/26 15:33:59  wiget
- updated to 1.16

Revision 1.21  2008/12/05 18:22:53  wiget
- 1.15

Revision 1.20  2008/10/07 17:42:44  patrys
- rel 2

Revision 1.19  2008/09/12 17:01:53  wiget
- updated to 1.14

Revision 1.18  2008/02/19 23:03:26  glen
- release 2

Revision 1.17  2007-05-07 16:27:00  wiget
- updated to 1.11
- package *.egg-info (BR python 2.5)

Revision 1.16  2007/03/04 13:33:43  beorn
- Fixed group names
- Switched to py_postclean macro

Revision 1.15  2007/03/02 22:40:32  beorn
- UP to version 1.10.1

Revision 1.14  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.12  2007/01/02 22:22:42  dzeus
- up to 1.9

Revision 1.11  2006/12/07 19:47:44  dzeus
- up to 1.8

Revision 1.10  2006/09/22 20:38:36  dzeus
- up to 1.7

Revision 1.9  2006/08/28 15:18:32  wiget
- rel. 2 (rebuild with python 2.5)

Revision 1.8  2006/08/11 19:13:07  dzeus
- up to 1.6

Revision 1.7  2006/07/30 18:23:57  patrys
- up to 1.5.1

Revision 1.6  2006/06/06 12:09:50  qboosh
- pl for -tools

Revision 1.5  2006/06/05 17:15:22  wiget
- updated to 1.4
- added tools subpackage

Revision 1.4  2006/04/24 17:09:05  wiget
- updated to 1.2

Revision 1.3  2006/04/20 20:26:17  qboosh
- pl

Revision 1.2  2006/04/19 09:50:58  paladine
- builds and works, rel. 1

Revision 1.1  2006/04/18 21:38:25  wiget
- initial, save work NFY
